Name:		orbitcpp
Version:	0.30
Release:	dag.1
Summary:	C++ bindings for the ORBit Corba ORB.
URL:		http://orbitcpp.sourceforge.net/
Group:		Development/Libraries
#Icon:		orbitcpp.png
Source:		http://prdownloads.sourceforge.net/orbitcpp/%{name}-%{version}.tar.gz
Copyright:	GPL
Packager:	Dag Wieers <dag@wieers.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
ORBit-C++ is a project to develop C++ bindings for the ORBit Corba
ORB. ORBit-C++ is Free Software (OpenSource), copyrighted under the
GPL and LGPL.

Primary Objectives
 * Provide a spec-compliant C++ corba mapping for ORBit
 * To allow programmers to use and write ORBit objects and gnome
   components in C++ with little or no runtime overhead (compared to
   writing C ones)
 * Allow C programmers to use C++ objects without having to deal with
   any of that 'horrible C++ syntax'

In short, to C++ programmers, all ORBit objects look like C++ 
objects, and to C programmers, all ORBit objects should look like C
 objects.

Secondary Objectives
 * Allow C and C++ objects in the same address space to short-circuit
   calls (i.e. no on-the-wire marshalling) for maximum speed.

%package devel
Summary:	C++ bindings for the ORBit Corba ORB.
Group:		Development/Libraries
Requires:	orbitcpp

%description devel
This packages contains the header files, libraries and utilities
necessary to write programs that use orbitcpp. If you want to write
such programs, you'll also need to install the orbitcpp package.

%prep
%setup

%build
%configure
make

%install
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ INSTALL NEWS README README-0.30
%{_libdir}/*.so*

%files devel
%doc HACKING
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/orb/*
%{_datadir}/aclocal/*

%changelog
* Mon Apr 30 2001 Dag Wieers <dag@wieers.com>
- Initial SPEC-file
